#include "tcl.h"

static char *init_script[] = {
#include "library/pvm.c"
#include "library/console.c"
#include "library/tclerror.c"
(char *) NULL
};

int
Pvm_InitStandAlone(interp)
    Tcl_Interp *interp;
{
    char **p = init_script;
    Tcl_DString data;

    Pvm_InitPvmCmd(interp);

    Tcl_DStringInit(&data);
    while(*p) {
	/* Copy the constant into a dynamic string. This */
	/* is necessary because Tcl7.4 doesn't accept    */
	/* constants as an argument to Tcl_Eval()        */
	Tcl_DStringSetLength(&data,0);
	Tcl_DStringAppend(&data,*p++,-1);
	if(Tcl_Eval(interp,Tcl_DStringValue(&data)) == TCL_ERROR) {
	    Tcl_DStringFree(&data);
	    return TCL_ERROR;
	}
    }
    Tcl_DStringFree(&data);
    return TCL_OK;
}
